<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head th:include="fragments/head :: head">
    <meta charset="UTF-8"/>
    <title>Game</title>

</head>
<body class="black">
<!--/*@thymesVar id="game" type="com.pos_land.steam.domain.Game"*/-->
<div th:include="fragments/header :: header"></div>

<div class="container-fluid">
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <h1 th:text="${game.getGameName()}">Name of Game</h1>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <a href="#"
               th:href="@{'/game/'+${game.getId()} + '/update'}"
               class="btn btn-warning">Edit</a>
            <button onclick="document.getElementById('modal').style.display='block'"
                    class="btn btn-danger">Remove</button>
        </div>
    </div>
    <br/>
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="table-responsive">
                <table class="table">
                    <tbody>
                    <tr>
                        <th>ID</th>
                        <td th:text="${game.getId()}">1</td>
                    </tr>
                    <tr>
                        <th>Name</th>
                        <td th:text="${game.getGameName()}">Name of Game</td>
                    </tr>
                    <tr>
                        <th>Releasedate</th>
                        <td th:text="${game.getReleaseDate()}">25.01.2018</td>
                    </tr>
                    <tr>
                        <th>Price</th>
                        <td th:text="${game.getPrice()}">55.60</td>
                    </tr>
                    <tr>
                        <th>Genre</th>
                        <td th:if="${game.getGenre() != null}" th:text="${game.getGenre().getName()}">RPG</td>
                        <td th:if="${game.getGenre() == null}" th:text="''">RPG</td>
                    </tr>
                    <tr>
                        <th>Description</th>
                        <td th:text="${game.getDescription()}">How the game works</td>
                    </tr>
                    <tr>
                        <th>Publisher</th>
                        <td th:if="${game.getPublisher() != null}" th:text="${game.getPublisher().getPublisherName()}">
                            PublisherName
                        </td>
                        <td th:if="${game.getPublisher() == null}" th:text="''">PublisherName</td>
                    </tr>
                    <tr>
                        <th>Developers</th>
                        <td>
                            <ul>
                                <li th:each="developer : ${game.getDevelopers()}"
                                    th:text="${developer.getDeveloperName()}">Name of developer
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr>
                        <th>Languages</th>
                        <td>
                            <ul>
                                <li th:each="language : ${game.getLanguages()}"
                                    th:text="${language.language.getName()}">Language
                                </li>
                            </ul>
                        </td>
                    </tr>
                    </tbody>
                </table>
                <div id="modal" class="modal">
                    <div class="modal-content">
                        <div class="container-popup">
                            <h4>Do you really want to delete </h4>
                            <a href="#"
                               th:href="@{'/game/'+${game.getId()} + '/delete'}"
                               class="btn btn-success">Confirm</a>
                            <button type="button"
                                    onclick="document.getElementById('modal').style.display='none'"
                                    class="btn btn-danger">Cancel</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="container-popup">
                <a href="#"
                   th:href="@{'/games'}"
                   class="btn btn-primary">Back to Overview</a>
            </div>
        </div>
    </div>
</div>

</body>

<script src="../../static/js/popup.js" th:src="@{/js/popup.js}" type="text/javascript"></script>

</html>